Get Job Results
curl --request GET \
--url https://api.woodwide.ai/jobs/{job_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.woodwide.ai/jobs/{job_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.woodwide.ai/jobs/{job_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_type": "infer_sync",
"inference_results_uri": "https://storage.example.com/results.parquet?signature=..."
}{
"detail": "Not authenticated"
}{
"detail": "Forbidden"
}{
"detail": "Not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded. Retry after a short delay."
}Endpoints
Get Job Results
Get the typed results of a completed job.
GET
/
jobs
/
{job_id}
/
results
Get Job Results
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Typed job results.
The fields populated depend on the job type:
- Training jobs:
training_resultscontains metrics. - Inference jobs:
inference_results_uriis a signed download URL. - Dataset ingest:
dataset_ingest_resultscontains stats.
Signed download URL for inference results (inference jobs only).
Training metrics and results (training jobs only).
Ingestion stats (dataset_ingest jobs only).
Was this page helpful?